@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap');


* {
    box-sizing: border-box;
}

body {
    background: #f6f5f7;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-family:  'Poppins', sans-serif;
    height: 50vh;
    margin: 150px 0 50px;
}

h1 {
    margin: 0px;

}

h2 {
    text-align: center;
}

p {
    font-size: 14px;
    font-weight: 100;
    line-height: 20px;
    letter-spacing: 0.5px;
    margin: 20px 0 30px;
}

span {
    font-size: 12px;
}

a {
   
    font-size: 15px;
    text-decoration: none;
    margin: 15px 0;
    cursor: pointer;
}

button {
    border-radius: 60px;
 
    color: #FFFFFF;
    font-size: 15px;
    font-weight: bold;
    padding: 12px 45px;
    letter-spacing: 1px;
    text-transform: uppercase;
    transition: transform 80ms ease-in;
}

    button:active {
        transform: scale(0.95);
    }

    button:focus {
        outline: none;
    }

    button.ghost {
        background-color: transparent;
        border-color: #FFFFFF;
    }

form {
    background-color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 20px;
    height: 100%;
    text-align: center;
}

input {
    border-radius: 40px;
    background-color: #eeeeeedf;
    border: none;
    padding: 12px 15px;
    margin: 8px 0;
    width: 100%;
}

.container {
    background-color: #fff;
    border-radius: 100px;
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
    position: relative;
    overflow: hidden;
    width: 1250px;
    max-width: 100%;
    min-height: 480px;
}

.form-container {
    position: absolute;
    top: 0;
    height: 100%;
    transition: all 0.6s ease-in-out;
}


.sign-in-container {
    left: 0;
    width: 50%;
    z-index: 2;
}

.container.right-panel-active .sign-in-container {
    transform: translateX(100%);
}

.sign-up-container {
    left: 0;
    width: 50%;
    opacity: 0;
    z-index: 1;
}

.container.right-panel-active .sign-up-container {
    transform: translateX(100%);
    opacity: 1;
    z-index: 5;
    animation: show 0.6s;
}

@keyframes show {
    0%, 49.99% {
        opacity: 0;
        z-index: 1;
    }

    50%, 100% {
        opacity: 1;
        z-index: 5;
    }
}

.overlay-container {
    position: absolute;
    top: 0;
    left: 50%;
    width: 50%;
    height: 100%;
    overflow: hidden;
    transition: transform 0.6s ease-in-out;
    z-index: 100;
}

.container.right-panel-active .overlay-container {
    transform: translateX(-100%);
}

.overlay {
    
    color: #FFFFFF;
    position: relative;
    left: -100%;
    height: 100%;
    width: 200%;
    transform: translateX(0);
    transition: transform 0.6s ease-in-out;
}

.container.right-panel-active .overlay {
    transform: translateX(50%);
}

.overlay-panel {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    top: 0;
    height: 100%;
    width: 50%;
    transform: translateX(0);
    transition: transform 0.6s ease-in-out;
}

.overlay-left {
    transform: translateX(-0%);
}

.container.right-panel-active .overlay-left {
    transform: translateX(0);
}

.overlay-right {
    right: 0;
    transform: translateX(0);
}

.container.right-panel-active .overlay-right {
    transform: translateX(20%);
}



.form-container {
    width: 50%;
    max-width: 1000px;
    margin: 0 auto;
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
}

.sign-up-container h1,
.sign-in-container h1 {
    text-align: center;
    margin-bottom: 30px;
    font-size: 35px;
    color: #39a2b9;
}

.sign-up-container input,
.sign-in-container input,


.sign-up-container input::placeholder,
.sign-in-container input::placeholder,
.sign-in-container a::placeholder {
    color: #000000;
}

.sign-up-container button,
.sign-in-container button {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #44bad4;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.sign-up-container button:hover,
.sign-in-container button:hover {
    background-color: #44bad4;
}

.sign-up-container h5,
.sign-in-container h5 {
    text-align: center;
    margin-top: 20px;
    color: #666;
}

.sign-up-container a,
.sign-in-container a {
    text-decoration: none;
    color: #44bad4;
}

.sign-up-container a:hover
.sign-in-container a:hover {
    text-decoration: underline;
}

.right-panel-active {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.right-panel-active.form-container {
    transform: translateX(-500%);
}



/*bottom left cornor*/

.back-button {
    position: fixed;
    bottom: 10px;
    left: 10px;
    padding: 10px 20px;
    background-color: #44bad4;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    box-shadow: 0 2px 4px rgba(0,0,0,0.2);
}
.back-button:hover {
    background-color: #44bad4;
}